## NAME

v.in.mapgen - Import Mapgen or Matlab vector maps into GRASS.

## KEYWORDS

vector, import

## SYNOPSIS

v.in.mapgen
v.in.mapgen help
v.in.mapgen [-f] input=string [output=string] [--overwrite]

### Flags:

-f
  Input map is in Matlab format
--overwrite
  Force overwrite of output files

### Parameters:

input=string
  name of input file in Mapgen/Matlab format
output=string
  name for new vector map (omit for display to stdout)

## DESCRIPTION

v.in.mapgen allows the user to import Mapgen or Matlab vector maps into GRASS.

## NOTES

This module only imports data into vector lines.

You can get coastline data in Mapgen or Matlab format from NOAA's Coastline Extractor at http://www.ngdc.noaa.gov/mgg/shorelines/shorelines.html.

Matlab vector maps are simply a series of x,y data points. Lines are separated by a row containing `NaN NaN`. The array should start with a `NaN` row as well. Output from Matlab with this command:

        save filename.txt arrayname -ASCII

## SEE ALSO

v.in.ascii

## AUTHORS

Based on v.in.mapgen.sh for GRASS 5.0 by Andreas Lange
Rewritten for GRASS 6 by Hamish Bowman

Last changed: $Date: 2005/06/04 11:33:01 $

Main index - vector index - Full index